Skip to content

Transfer Listing to Trash ​

http
POST /content/v2/cards/delete/trash

Base URL: https://content-api.wildberries.ru · Module: items · Section: Listings · Specification doc ↗

Transfers the listing to the trash. In doing so, the listing would not be deleted.

When transferring listings to the trash, this listing is removed from the listing, meaning it is assigned a new imtID — merged listing ID

After 30 days in the trash the listing would be deleted automatically. The trash is cleared every night according to Moscow time. The listing can be deleted at any time in personal account.

A listing will remain for sale as long as there is any inventory left, even if moved to the trash. To completely remove the listing from sale, set its inventory to zero.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min100 requests600 ms5 requests
Service1 min100 requests600 ms5 requests
Base with secret1 min100 requests600 ms5 requests
Base1 h2 requests30 min1 request

Request body ​

application/json — schema object, required

  • nmIDs integer<int64>[] — WB item numbers

Responses ​

CodeDescriptionSchema
200SuccessPostV2CardsDeleteTrashResponse200
400Bad requestresponseBodyContentError400
401Unauthorizedobject
402Payment requiredobject
403Access deniedresponseBodyContentError403
429Too many requestsobject

Structure 200:

  • data object
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors object — Any additional errors

Structure 400:

  • data object — Error data
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors object — Additional errors

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • data object — Error data
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string — Additional errors

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.items import Configuration, ApiClient
from wb_api_client.items.api import ItemsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ItemsApi(ApiClient(cfg))

result = api.post_v2_cards_delete_trash(post_v2_cards_delete_trash_request=...)
print(result)
ts
import {
  Configuration,
  ItemsApi,
} from "@valeryverkhoturov/wb-api-client/items";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ItemsApi(cfg);

const { data } = await api.postV2CardsDeleteTrash(postV2CardsDeleteTrashRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbitems "github.com/ValeryVerkhoturov/wb-api-client-go/items"
)

cfg := wbitems.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbitems.NewAPIClient(cfg)

result, _, err := client.ItemsAPI.PostV2CardsDeleteTrash(context.Background()).PostV2CardsDeleteTrashRequest(postV2CardsDeleteTrashRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.items.ApiClient;
import io.github.valeryverkhoturov.wbapi.items.SecretString;
import io.github.valeryverkhoturov.wbapi.items.api.ItemsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ItemsApi api = new ItemsApi(client);

System.out.println(api.postV2CardsDeleteTrash(postV2CardsDeleteTrashRequest));
php
use ValeryVerkhoturov\WbApiClient\Items\Configuration;
use ValeryVerkhoturov\WbApiClient\Items\SecretString;
use ValeryVerkhoturov\WbApiClient\Items\Api\ItemsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ItemsApi(new Client(), $config);

print_r($api->postV2CardsDeleteTrash($post_v2_cards_delete_trash_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ItemsApi(Настройки);

Сообщить(Клиент.PostV2CardsDeleteTrash(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Items.Api;
using ValeryVerkhoturov.WbApiClient.Items.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ItemsApi(config);

Console.WriteLine(api.PostV2CardsDeleteTrash(postV2CardsDeleteTrashRequest));
rust
use wb_api_client::items::apis::{configuration::Configuration, items_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = items_api::post_v2_cards_delete_trash(&cfg, post_v2_cards_delete_trash_request).await;
    println!("{:#?}", result);
}